summaryrefslogtreecommitdiffstats
path: root/ci/02-maasdeploy.sh
diff options
context:
space:
mode:
authorDave Urschatz <dave.urschatz@cengn.ca>2016-01-14 21:31:52 -0500
committerDave Urschatz <dave.urschatz@cengn.ca>2016-01-14 22:21:30 -0500
commitb6ed3294f42593bc3bc45414965ba3e62b53b903 (patch)
treeeda591b078a82a1e7fee781ca53113b5632f7f64 /ci/02-maasdeploy.sh
parent46ba62b3fac2b49a03a3ac0851db47ef177f73ee (diff)
Integrate JOID to CENGN Lynx Lab
The intent of this commit is to add the CENGN pod1 configuration data as well as required changes to deployment scripts to consume the configuration. JIRA: JOID-45 Change-Id: Ib517898d48cafbb26f6f39d8930e38fb6e9112c8 Signed-off-by: Dave Urschatz <dave.urschatz@cengn.ca>
Diffstat (limited to 'ci/02-maasdeploy.sh')
-rwxr-xr-xci/02-maasdeploy.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/ci/02-maasdeploy.sh b/ci/02-maasdeploy.sh
index da0e8835..f7e1db29 100755
--- a/ci/02-maasdeploy.sh
+++ b/ci/02-maasdeploy.sh
@@ -20,6 +20,9 @@ case "$1" in
'juniperpod1' )
cp maas/juniper/pod1/deployment.yaml ./deployment.yaml
;;
+ 'cengnlynxpod1' )
+ cp maas/cengn_lynx/pod1/deployment.yaml ./deployment.yaml
+ ;;
* )
virtinstall=1
cp maas/default/deployment.yaml ./deployment.yaml
@@ -185,6 +188,15 @@ case "$1" in
;;
'juniperpod1' )
;;
+ 'cengnlynxpod1' )
+ maas refresh
+ crvlanupdsubnet vlan1201 1 "DataNetwork" 1201 2 || true
+ crvlanupdsubnet vlan1202 2 "PublicNetwork" 1202 3 || true
+ crnodevlanint $vlan1201 || true
+ crnodevlanint $vlan1202 || true
+ enableautomode eth2.1201 AUTO "172.16.121.3/24" compute || true
+ enableautomode eth2.1201 AUTO "172.16.121.3/24" control || true
+ ;;
esac
echo " .... MAAS deployment finished successfully ...."